# scatterd

[![Python](https://img.shields.io/pypi/pyversions/scatterd)](https://img.shields.io/pypi/pyversions/scatterd)
[![PyPI Version](https://img.shields.io/pypi/v/scatterd)](https://pypi.org/project/scatterd/)
[![License](https://img.shields.io/badge/license-MIT-green.svg)](https://github.com/erdogant/scatterd/blob/master/LICENSE)
[![Github Forks](https://img.shields.io/github/forks/erdogant/scatterd.svg)](https://github.com/erdogant/scatterd/network)
[![GitHub Open Issues](https://img.shields.io/github/issues/erdogant/scatterd.svg)](https://github.com/erdogant/scatterd/issues)
[![Project Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Downloads](https://pepy.tech/badge/scatterd/month)](https://pepy.tech/project/scatterd/month)
[![Downloads](https://pepy.tech/badge/scatterd)](https://pepy.tech/project/scatterd)
[![BuyMeCoffee](https://img.shields.io/badge/buymea-coffee-yellow.svg)](https://www.buymeacoffee.com/erdogant)
[![Sphinx](https://img.shields.io/badge/Sphinx-Docs-Green)](https://erdogant.github.io/scatterd/)
<!---[![Coffee](https://img.shields.io/badge/coffee-black-grey.svg)](https://erdogant.github.io/donate/?currency=USD&amount=5)-->

* ``scatterd`` is a python package to creating scatter plots in a easy and fast manner.
# 
**⭐️ Star this repo if you like it ⭐️**
#

#### Install scatterd from PyPI

```bash
pip install scatterd
```

#### Import scatterd package

```python
from scatterd import scatterd
```
# 


### [Documentation pages](https://erdogant.github.io/scatterd/)

On the [documentation pages](https://erdogant.github.io/scatterd/) you can find detailed information about the working of the ``scatterd`` with many examples. 

<hr> 

### Examples

# 

* [Example: Quick scatterplot](https://erdogant.github.io/scatterd/pages/html/Examples.html#)

<p align="left">
  <a href="https://erdogant.github.io/scatterd/pages/html/Examples.html#">
  <img src="https://github.com/erdogant/scatterd/blob/master/docs/figs/fig1_simple.png" width="600" />
  </a>
</p>

# 

* [Example: Coloring Dots](https://erdogant.github.io/scatterd/pages/html/Examples.html#coloring-dots)

<p align="left">
  <a href="https://erdogant.github.io/scatterd/pages/html/Examples.html#coloring-dots">
  <img src="https://github.com/erdogant/scatterd/blob/master/docs/figs/fig2_red.png" width="600" />
  </a>
</p>


# 

* [Example: Overlay with Kernel Density](https://erdogant.github.io/scatterd/pages/html/Examples.html#overlay-with-kernel-density)

<p align="left">
  <a href="https://erdogant.github.io/scatterd/pages/html/Examples.html#overlay-with-kernel-density">
  <img src="https://github.com/erdogant/scatterd/blob/master/docs/figs/fig_density_4.png" width="600" />
  </a>
</p>


# 

* [Example: Dark scatterplot](https://erdogant.github.io/scatterd/pages/html/Examples.html#customized-colormap)

<p align="left">
  <a href="https://erdogant.github.io/scatterd/pages/html/Examples.html#customized-colormap">
  <img src="https://github.com/erdogant/scatterd/blob/master/docs/figs/custom_args.png" width="600" />
  </a>
</p>

<hr>

### Support

	This project needs some love! ❤️ You can help in various ways.

	* Become a Sponsor!
	* Star this repo at the github page.
	* Other contributions can be in the form of feature requests, idea discussions, reporting bugs, opening pull requests.
	* Read more why becoming an sponsor is important on the Sponsor Github Page.
	
	Cheers Mate.
